package com.yaohun.enderdragonwars.effect.types;

import com.yaohun.enderdragonwars.Main;
import com.yaohun.enderdragonwars.effect.GiftEffect;
import com.yaohun.enderdragonwars.game.Game;
import com.yaohun.enderdragonwars.manager.GiftEffectManager;
import org.bukkit.Bukkit;
import org.bukkit.Sound;
import org.bukkit.entity.Player;
import org.bukkit.scheduler.BukkitRunnable;
import org.bukkit.scheduler.BukkitTask;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Random;

public class RandomBox extends GiftEffect {

    public RandomBox(String audience) {
        super(audience);
    }

    @Override
    public void apply(Game game) {
        Player player = game.getPlayer();
        List<String> stringList = new ArrayList<>();
        stringList.add("清理背包");
        stringList.add("火山喷发");
        stringList.add("幸运方块");
        stringList.add("黑洞");
        stringList.add("五雷轰顶");
        stringList.add("装备清空");
        stringList.add("岩浆泡澡");
        stringList.add("钢铁保安");
        stringList.add("6倍血量");
        stringList.add("原地复活");
        stringList.add("魔豆天梯");
        stringList.add("世界毁灭");
        stringList.add("变大");
        stringList.add("变小");
        stringList.add("安全庇护所");
        stringList.add("螺旋升天");
        stringList.add("怪物军团");
        Collections.shuffle(stringList);
        Random random = new Random();
        String eventName = stringList.get(random.nextInt(stringList.size()));
        BukkitTask task = new BukkitRunnable() {
            private int i = 0;

            @Override
            public void run() {
                if (i >= 12) {
                    player.sendTitle("§6随机盲盒", "§9整蛊效果: §e" + eventName);
                    player.playSound(player.getLocation(), Sound.BLOCK_COMPARATOR_CLICK, 1, 1);
                    GiftEffectManager.addGiftEffect(getAudience(), eventName);
                    Bukkit.broadcastMessage("§c[消息]§a随机盲盒抽中了 §e" + eventName);
                    cancel();
                    return;
                }
                player.sendTitle("§6随机盲盒", "§9整蛊效果: §e" + stringList.get(random.nextInt(stringList.size())));
                player.playSound(player.getLocation(), Sound.BLOCK_COMPARATOR_CLICK, 1, 1);
                i++;
            }
        }.runTaskTimer(Main.plugin, 0L, 5L);
        Main.game.addTasks(task);
    }

}
