package com.yaohun.enderdragonwars.listener;

import com.io.yutian.mclive.event.LiveGiftEvents;
import com.io.yutian.mclive.event.LiveLikeEvents;
import com.yaohun.enderdragonwars.Main;
import com.yaohun.enderdragonwars.data.GiftData;
import com.yaohun.enderdragonwars.manager.GameManager;
import com.yaohun.enderdragonwars.manager.GiftEffectManager;
import com.yaohun.enderdragonwars.util.GameUtil;
import com.yaohun.enderdragonwars.util.RandomUtil;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

public class LiveListener implements Listener {

    @EventHandler
    public void onDianZan(LiveLikeEvents e) {
        Player zhubo = e.getPlayer();
        String userName = "" + RandomUtil.getRandomInt(999, 10000);
        if (e.getUser().nickName() != null) {
            userName = e.getUser().nickName();
        }
        long add_amount = e.getCount();
        GameManager gameManager = Main.gameManager;
        gameManager.addDianzan_amount((int) add_amount);
        if (gameManager.getDianzan_amount() >= gameManager.getDianzan_need()) {
            String eventName_Show = gameManager.getDianzan_event();
            String title = "§c" + eventName_Show;
            String subtitle = "§9双击屏幕x" + gameManager.getDianzan_need();
            zhubo.sendTitle(title, subtitle, 10, 30, 10);
            GiftEffectManager.addGiftEffect(userName, eventName_Show);
            gameManager.setDianzan_amount(0);
        }
    }

    @EventHandler
    public void onLive(LiveGiftEvents e) {
        Player zhubo = e.getPlayer();
        String userName = e.getUser().nickName();
        boolean butt = false;
        if (userName != null) {
            userName = e.getUser().nickName();
            butt = true;
        }
        String giftName = e.getName();
        int giftAmount = (int) e.getAmount();
        if (giftAmount < 0) {
            giftAmount = 1;
        }
        GameManager gameManager = Main.gameManager;
        if (gameManager.getGiftData(giftName) == null) {
            return;
        }
        GiftData giftData = gameManager.getGiftData(giftName);
        String hideUserName = GameUtil.hideName(userName);
        String eventName = giftData.getEvent();
        if (GameUtil.specialGiftEffectTriggers(zhubo, eventName, hideUserName, giftAmount)) {
            return;
        }
        String title = "§c" + eventName;
        if (giftAmount >= 2) {
            title = "§c" + eventName + " x" + giftAmount;
        }
        String subtitle = "§9" + giftName;
        if (butt) {
            subtitle = "§9" + hideUserName;
        }
        zhubo.sendTitle(title, subtitle, 0, 30, 10);
        if (giftAmount <= 1) {
            giftData.playSoundEvent();
            GiftEffectManager.addGiftEffect(hideUserName, eventName);
        } else {
            long dadey = 5L;
            for (int i = 0; i < giftAmount; i++) {
                Bukkit.getScheduler().runTaskLater(Main.plugin, () -> {
                    giftData.playSoundEvent();
                    GiftEffectManager.addGiftEffect(hideUserName, eventName);
                }, (long) i * dadey);
            }
        }
        for (Player player : Bukkit.getOnlinePlayers()) {
            player.sendMessage("§a礼物: §e" + hideUserName + " §d送来了 §e" + giftName + "x" + giftAmount);
        }
    }

}
