package com.yaohun.enderdragonwars.util;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

public class GameUtil {

    public static String hideName(String audience) {
        if (audience.length() <= 2) {
            return "**";
        }
        char firstChar = audience.charAt(0);
        char lastChar = audience.charAt(audience.length() - 1);
        StringBuilder maskedString = new StringBuilder();
        for (int i = 1; i < audience.length() - 1; i++) {
            maskedString.append('*');
        }
        return String.valueOf(firstChar) + maskedString + lastChar;
    }

    public static void sendAllSound(String sound) {
        for (Player player : Bukkit.getOnlinePlayers()) {
            if (!sound.contains("_")) {
                player.playSound(player.getLocation(), sound, 0.5F, 1);
            }
        }
    }

    public static boolean specialGiftEffectTriggers(Player player, String eventName, String show_userName, int amount) {
        if (eventName.contains("盲盒")) {
            if (eventName.contains("#")) {
                String s1 = "love";
                String s2 = "000304";
                String box = s1 + "-" + s2 + "-" + eventName.split("#")[1];
                if (eventName.contains("X")) {
                    amount = Integer.parseInt(eventName.split("X")[1]);
                }
                // RBoxAPI.addUserData(player, show_userName, box, amount);
            } else {
                System.out.println("[错误 - 盲盒] 随机盲盒在礼物设置中配置错误.");
            }
            return true;
        }
        return false;
    }

}
