package com.yaohun.enderdragonwars.effect.types;

import com.yaohun.enderdragonwars.effect.GiftEffect;
import com.yaohun.enderdragonwars.game.Game;
import org.bukkit.attribute.Attribute;
import org.bukkit.entity.Player;

public class PlayerResetEffect extends GiftEffect {

    public PlayerResetEffect(String audience) {
        super(audience);
    }

    @Override
    public void apply(Game game) {
        Player player = game.getPlayer();
        player.getAttribute(Attribute.GENERIC_SCALE).setBaseValue(1);
        player.getAttribute(Attribute.PLAYER_BLOCK_INTERACTION_RANGE).setBaseValue(4.5);
        player.getAttribute(Attribute.GENERIC_STEP_HEIGHT).setBaseValue(0.6);
    }

}
