package com.yaohun.enderdragonwars.listener;

import com.yaohun.enderdragonwars.Main;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;
import org.bukkit.event.player.PlayerDropItemEvent;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerKickEvent;
import org.bukkit.event.player.PlayerQuitEvent;
import org.bukkit.event.server.ServerListPingEvent;
import org.bukkit.scheduler.BukkitRunnable;

public class GameListener implements Listener {

    @EventHandler
    public void onPing(ServerListPingEvent e) {
        e.setMotd("§a整蛊模式: §6生存挑战  §a当前版本: §6常规版 §b运行中");
    }

    @EventHandler
    public void onJoinItems(PlayerJoinEvent e) {
        Player p = e.getPlayer();
        new BukkitRunnable() {
            public void run() {
                if (!Main.game.isStartd()) {
                    p.performCommand("game start");
                }
                Main.game.updataPlayerData(p);
                cancel();
            }
        }.runTaskLater(Main.plugin, 20L);
    }

    @EventHandler
    public void onQuit(PlayerQuitEvent e) {
        Player p = e.getPlayer();
        Main.game.removePlayerDataBossBar();
    }

    @EventHandler
    public void onKick(PlayerKickEvent e) {
        Player p = e.getPlayer();
        Main.game.removePlayerDataBossBar();
    }

    @EventHandler
    public void onPick(PlayerDropItemEvent e) {
        Player p = e.getPlayer();
        if (Main.game.isStartd()) {
            if (p.isSneaking()) {
                e.setCancelled(true);
                RepairGiftGui.OpenGui(p);
            }
        }
    }

    /*
     * 死亡后游戏时间 +5分钟
     * */
    @EventHandler
    public void onDeath(PlayerDeathEvent e) {
        e.setDeathMessage(null);
        Player p = e.getEntity();
        new BukkitRunnable() {
            private int i = 0;

            public void run() {
                if (i == 1) {
                    p.spigot().respawn();
                }
                // 增加游戏时间5分钟
                if (i == 3) {
                    Main.game.addLiveTime(5);
                    p.sendTitle("§4你嘎了", "§e加播5分钟！");
                    cancel();
                }
                i++;
            }
        }.runTaskTimer(Main.plugin, 0L, 2L);
    }

}
